Skip to content
Docs

HELOC Inquiries/Exceptions

Set estimated property value

PUT/products/heloc/v1/inquiry/{appUuid}/add-property-estimate
Request
curl -X PUT \
  "https://api.test.figure.com/products/heloc/v1/inquiry/{appUuid}/add-property-estimate" \
  -H "apikey: $FIGURE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "request": {
    "loanOriginatorUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
    "async": true
  },
  "propertyEstimate": {
    "borrowerEstimatedValue": 0
  }
}'

Path parameters

  • appUuidstringRequired

Request body

application/json
  • requestobjectRequired
    ShowHide 2 attributes of request
    • loanOriginatorUuidstringRequired
    • asyncbooleanRequiredDeprecated

      Will be removed from all requests in a future release. This is no longer an option on some requests. Async will be the only option.

  • propertyEstimateobjectRequired
    ShowHide 1 attribute of propertyEstimate
    • borrowerEstimatedValuenumberRequired

Responses

200OKobject
  • messagesarray of objects
    ShowHide 2 attributes of messages
    • levelstringRequired
    • messagestringRequired
Response
{
  "messages": [
    {
      "level": "string",
      "message": "string"
    }
  ]
}